<template>
  <div class="relative text-xs">
    <div class="flex justify-between items-center pr-10">
      <div class="flex justify-start">
        <div v-for="tool in $store.state.editor.textToolbar" :key="tool" class="text-toolbar-group flex items-center flex-grow border-r border-white mb-1">
          <component :is="`Tool${$util.capitalize(tool)}`" v-bind="$props" />
        </div>
      </div>
      <div>
        <div class="text-toolbar-group text-toolbar-group--right flex items-center flex-grow border-l align-r border-white mb-1">
        <TButton variant="link" class="hover:opacity-80" @click="deleteElement" :disabled="!canDelete" v-if="!item.lockTextLines">
          <span class="underline text-gray-900">Delete</span>
          <img class="inline-block ml-0 w-4 h-4" src="@/assets/bi_x.svg" />
        </TButton>
        </div>
      </div>
    </div>
    <div v-if="!item.isMaster && element.isSlave" class="opacity-80 bg-gray-100 top-0 left-0 w-full h-full absolute"></div>
  </div>
</template>

<script src="./text-toolbar.js" />
<style src="./text-toolbar.css" />